Page MenuHomePhabricator

[Bug] Segmentation fault after remove layout with icon widget
Closed, ResolvedPublic2 Story Points

Description

Reproduce:

  1. Create project with icon widget
  2. Add layout, parts
  3. Click '-' to remove created layout
  4. Click '-' to remove layout with widget icon

Actual result:
Program received signal SIGSEGV, Segmentation fault.

Expected result:
Layout should be simply deleted

bt:

#0  0x00007ffff561d8fd in malloc_consolidate (
    av=av@entry=0x7ffff595d760 <main_arena>) at malloc.c:4157
#1  0x00007ffff561edf8 in _int_malloc (
    av=av@entry=0x7ffff595d760 <main_arena>, bytes=bytes@entry=2048)
    at malloc.c:3423
#2  0x00007ffff56222cc in __libc_calloc (n=<optimized out>, 
    elem_size=<optimized out>) at malloc.c:3219
#3  0x00007ffff71d03f1 in eet_internal_read2 (ef=0x85e8d0)
    at lib/eet/eet_lib.c:806
#4  eet_internal_read (ef=0x85e8d0) at lib/eet/eet_lib.c:1253
#5  0x00007ffff71d1756 in eet_open (
    file=0x7fffd000251c "/home/ogai/test/qwerwq/qwerwq.dev", 
    mode=mode@entry=EET_FILE_MODE_READ_WRITE) at lib/eet/eet_lib.c:1636
#6  0x00007ffff624ea3a in _edje_edit_internal_save (obj=0x400004a2c0005e14, 
    current_only=0, generate_source=<optimized out>)
    at lib/edje/edje_edit.c:15879
#7  0x00007ffff624f059 in edje_edit_without_source_save (
    obj=obj@entry=0x400004a2c0005e14, 
    current_group=current_group@entry=0 '\000') at lib/edje/edje_edit.c:16128
#8  0x0000000000420c20 in _editor_save (current_group=0 '\000', 
    edit_object=edit_object@entry=0x400004a2c0005e14)
    at ../../src/bin/editor/editor_general.c:32
#9  editor_save_all (edit_object=edit_object@entry=0x400004a2c0005e14)
    at ../../src/bin/editor/editor_general.c:46
#10 0x0000000000421f68 in editor_group_del (obj=0x400004a2c0005e14, 
    name=name@entry=0x7fffd005b0cc "elm/icon/apps/default")
    at ../../src/bin/editor/editor_group.c:78
#11 0x000000000044027c in _folder_del (prefix=<optimized out>)
    at ../../src/bin/ui/project_navigator.c:579
#12 0x00000000004401ed in _folder_del (prefix=<optimized out>)
    at ../../src/bin/ui/project_navigator.c:574
#13 0x00000000004401ed in _folder_del (prefix=<optimized out>)
QA_Igor created this task.Jul 12 2016, 9:52 AM
NikaWhite edited projects, added Eflete (Eflete 0.7); removed Eflete.
NikaWhite moved this task from Backlog to Doing on the Eflete (Eflete 0.7) board.
rimmed updated the task description. (Show Details)Jul 18 2016, 3:25 AM
rimmed moved this task from Eflete 0.7 to Eflete 0.7 Tizen on the Eflete board.Jul 18 2016, 6:29 AM
rimmed edited projects, added Eflete (Eflete 0.7 Tizen); removed Eflete (Eflete 0.7).
rimmed moved this task from Backlog to Doing on the Eflete (Eflete 0.7 Tizen) board.
NikaWhite set the point value for this task to 2.
NikaWhite closed this task as Resolved.Aug 1 2016, 5:31 AM